Bug 1286416 - [abrt] soffice.bin killed in llvm::MachineFrameInfo::setObjectAlignment
[abrt] soffice.bin killed in llvm::MachineFrameInfo::setObjectAlignment
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: llvm (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d31e4264f92478dd9ba78a34e5a...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-29 04:41 EST by Niki Guldbrand
Modified: 2016-12-20 11:24 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:24:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (166.35 KB, text/plain)
2015-11-29 04:41 EST, Niki Guldbrand
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-29 04:41 EST, Niki Guldbrand
no flags Details
File: core_backtrace (26.88 KB, text/plain)
2015-11-29 04:41 EST, Niki Guldbrand
no flags Details
File: dso_list (25.82 KB, text/plain)
2015-11-29 04:41 EST, Niki Guldbrand
no flags Details
File: environ (1.49 KB, text/plain)
2015-11-29 04:41 EST, Niki Guldbrand
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-29 04:41 EST, Niki Guldbrand
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-29 04:41 EST, Niki Guldbrand
no flags Details
File: maps (158.23 KB, text/plain)
2015-11-29 04:41 EST, Niki Guldbrand
no flags Details
File: mountinfo (4.28 KB, text/plain)
2015-11-29 04:41 EST, Niki Guldbrand
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-29 04:41 EST, Niki Guldbrand
no flags Details
File: open_fds (3.16 KB, text/plain)
2015-11-29 04:41 EST, Niki Guldbrand
no flags Details
File: proc_pid_status (1013 bytes, text/plain)
2015-11-29 04:41 EST, Niki Guldbrand
no flags Details
File: var_log_messages (333 bytes, text/plain)
2015-11-29 04:41 EST, Niki Guldbrand
no flags Details

  None (edit)
Description Niki Guldbrand 2015-11-29 04:41:21 EST
Version-Release number of selected component:
libreoffice-core-5.0.3.2-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin
crash_function: (anonymous namespace)::AutoRecovery::implts_registerDocument
executable:     /usr/lib64/libreoffice/program/soffice.bin
global_pid:     7190
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 (anonymous namespace)::AutoRecovery::implts_registerDocument at /usr/src/debug/libreoffice-5.0.3.2/framework/source/services/autorecovery.cxx:2483
 #1 (anonymous namespace)::AutoRecovery::implts_verifyCacheAgainstDesktopDocumentList at /usr/src/debug/libreoffice-5.0.3.2/framework/source/services/autorecovery.cxx:4152
 #2 (anonymous namespace)::AutoRecovery::implts_prepareEmergencySave at /usr/src/debug/libreoffice-5.0.3.2/framework/source/services/autorecovery.cxx:3706
 #3 (anonymous namespace)::AutoRecovery::implts_dispatch at /usr/src/debug/libreoffice-5.0.3.2/framework/source/services/autorecovery.cxx:1450
 #4 (anonymous namespace)::AutoRecovery::dispatch at /usr/src/debug/libreoffice-5.0.3.2/framework/source/services/autorecovery.cxx:1394
 #5 svx::DocRecovery::RecoveryCore::doEmergencySavePrepare at /usr/src/debug/libreoffice-5.0.3.2/svx/source/dialog/docrecovery.cxx:305
 #6 svx::DocRecovery::SaveDialog::SaveDialog at /usr/src/debug/libreoffice-5.0.3.2/svx/source/dialog/docrecovery.cxx:645
 #7 ScopedVclPtrInstance<svx::DocRecovery::SaveDialog>::ScopedVclPtrInstance<VclPtr<vcl::Window>&, svx::DocRecovery::RecoveryCore*&> at /usr/src/debug/libreoffice-5.0.3.2/include/vcl/vclptr.hxx:374
 #8 (anonymous namespace)::RecoveryUI::impl_doEmergencySave at /usr/src/debug/libreoffice-5.0.3.2/svx/source/unodraw/recoveryui.cxx:248
 #9 (anonymous namespace)::RecoveryUI::dispatchWithReturnValue at /usr/src/debug/libreoffice-5.0.3.2/svx/source/unodraw/recoveryui.cxx:168
Comment 1 Niki Guldbrand 2015-11-29 04:41:30 EST
Created attachment 1100133 [details]
File: backtrace
Comment 2 Niki Guldbrand 2015-11-29 04:41:31 EST
Created attachment 1100134 [details]
File: cgroup
Comment 3 Niki Guldbrand 2015-11-29 04:41:34 EST
Created attachment 1100135 [details]
File: core_backtrace
Comment 4 Niki Guldbrand 2015-11-29 04:41:37 EST
Created attachment 1100136 [details]
File: dso_list
Comment 5 Niki Guldbrand 2015-11-29 04:41:39 EST
Created attachment 1100137 [details]
File: environ
Comment 6 Niki Guldbrand 2015-11-29 04:41:41 EST
Created attachment 1100138 [details]
File: exploitable
Comment 7 Niki Guldbrand 2015-11-29 04:41:43 EST
Created attachment 1100139 [details]
File: limits
Comment 8 Niki Guldbrand 2015-11-29 04:41:48 EST
Created attachment 1100140 [details]
File: maps
Comment 9 Niki Guldbrand 2015-11-29 04:41:50 EST
Created attachment 1100141 [details]
File: mountinfo
Comment 10 Niki Guldbrand 2015-11-29 04:41:51 EST
Created attachment 1100142 [details]
File: namespaces
Comment 11 Niki Guldbrand 2015-11-29 04:41:53 EST
Created attachment 1100143 [details]
File: open_fds
Comment 12 Niki Guldbrand 2015-11-29 04:41:55 EST
Created attachment 1100144 [details]
File: proc_pid_status
Comment 13 Niki Guldbrand 2015-11-29 04:41:57 EST
Created attachment 1100145 [details]
File: var_log_messages
Comment 14 Stephan Bergmann 2015-11-30 06:15:38 EST
The original crash is in llvm at:

> #16 <signal handler called>
> #17 0x00007efbc2c7ab7b in llvm::MachineFrameInfo::setObjectAlignment (Align=4, ObjectIdx=-1, this=0x56555c31f4f0) at /usr/src/debug/llvm-3.7.0.src/include/llvm/CodeGen/MachineFrameInfo.h:405
[...]
> #32 0x00007efbcd731c0b in radeon_llvm_compile (M=M@entry=0x56555bbaa060, binary=binary@entry=0x56555c471c60, gpu_family=<optimized out>, dump_ir=dump_ir@entry=false, dump_asm=dump_asm@entry=false, tm=tm@entry=0x56555b509570) at radeon_llvm_emit.c:190
> #33 0x00007efbcd697378 in si_compile_llvm (sscreen=sscreen@entry=0x56555ad12e70, shader=shader@entry=0x56555c471c30, tm=tm@entry=0x56555b509570, mod=0x56555bbaa060) at si_shader.c:3873
[...]
> #40 0x00007efbcd2432aa in vbo_draw_arrays (ctx=0x56555b43ebd0, mode=6, start=0, count=4, numInstances=1, baseInstance=0) at vbo/vbo_exec_array.c:645
> #41 0x00007efbf25a20c7 in OpenGLProgram::DrawTexture (this=this@entry=0x56555c425810, rTexture=...) at /usr/src/debug/libreoffice-5.0.3.2/vcl/opengl/program.cxx:302
[...]

(The subsequent crash of LibreOffice during the auto-recovery attempt run from the signal handler---which can never be completely reliable by design---will be addressed in libreoffice-5.0.3.2-9.fc23.)
Comment 15 Fedora Update System 2015-12-01 06:51:51 EST
libreoffice-5.0.3.2-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8cdbd2bb12
Comment 16 Fedora Update System 2015-12-01 17:30:21 EST
libreoffice-5.0.3.2-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libreoffice'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8cdbd2bb12
Comment 17 Fedora Update System 2015-12-03 15:20:05 EST
libreoffice-5.0.3.2-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Stephan Bergmann 2015-12-04 05:10:04 EST
(In reply to Fedora Update System from comment #15)
> libreoffice-5.0.3.2-10.fc23 has been submitted as an update to Fedora 23.
> https://bodhi.fedoraproject.org/updates/FEDORA-2015-8cdbd2bb12

That fix was for the "subsequent crash of LibreOffice during the auto-recovery attempt run from the signal handler," not for the root cause.
Comment 19 Fedora End Of Life 2016-11-24 08:49:23 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2016-12-20 11:24:10 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.